summaryrefslogtreecommitdiffstats
path: root/gis
diff options
context:
space:
mode:
author Sebastian Arcus <s.arcus@open-t.co.uk>2016-08-11 13:28:29 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-08-13 07:22:19 +0700
commit61367802ae2e41acaa7fbe053cf3e67f035af59f (patch)
treed5d206cd3a155ff84f9c567f50bf2a82b8e1659b /gis
parentd918938576ee3dbac301d24056bdc8c931c73701 (diff)
downloadslackbuilds-61367802ae2e41acaa7fbe053cf3e67f035af59f.tar.gz
slackbuilds-61367802ae2e41acaa7fbe053cf3e67f035af59f.tar.xz
gis/navit: Added (gps navigation system with routing engine)
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'gis')
-rw-r--r--gis/navit/README23
-rw-r--r--gis/navit/doinst.sh10
-rw-r--r--gis/navit/navit.SlackBuild103
-rw-r--r--gis/navit/navit.info10
-rw-r--r--gis/navit/slack-desc19
5 files changed, 165 insertions, 0 deletions
diff --git a/gis/navit/README b/gis/navit/README
new file mode 100644
index 0000000000..e84ee90aee
--- /dev/null
+++ b/gis/navit/README
@@ -0,0 +1,23 @@
+Navit (gps navigation system with routing engine)
+
+Navit is an open source and free, modular, touch
+screen friendly, car navigation system with GPS tracking, realtime
+routing engine and support for various vector map formats.
+
+Navit runs on Linux, Windows, Windows CE, Mac OS, Android, iPhone and
+webOS. It can use maps from OpenStreetMap and Garmin, among others -
+which can be stored offline - so it doesn't need an Internet connection
+while in use.
+
+If you want to use a gps receiver device with Navit, such as a usb gps
+dongle, you will probably want to install the gpsd package as well.
+
+Navit can be used with maps from the OpenStreetMap project
+(www.openstreetmap.org). To do this, you will have to download a map
+for offline use, using the Navit Planet extractor at:
+ http://maps.navit-project.org
+
+Further details on the project's page and wiki at:
+ http://www.navit-project.org
+
+Optional dependencies: gpsd
diff --git a/gis/navit/doinst.sh b/gis/navit/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/gis/navit/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/gis/navit/navit.SlackBuild b/gis/navit/navit.SlackBuild
new file mode 100644
index 0000000000..0d08f4f381
--- /dev/null
+++ b/gis/navit/navit.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for navit
+
+# Copyright 2016 Sebastian Arcus UK
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=navit
+VERSION=${VERSION:-R6731}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS -fpermissive" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DSAMPLE_MAP=n \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv $PKG/usr/share/man $PKG/usr/man
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/share/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog NEWS COPYRIGHT README GPL-2 LGPL-2 \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/gis/navit/navit.info b/gis/navit/navit.info
new file mode 100644
index 0000000000..7366279e9d
--- /dev/null
+++ b/gis/navit/navit.info
@@ -0,0 +1,10 @@
+PRGNAM="navit"
+VERSION="R6731"
+HOMEPAGE="http://www.navit-project.org"
+DOWNLOAD="https://github.com/navit-gps/navit/archive/R6731/navit-R6731.tar.gz"
+MD5SUM="2d955fffd9c02a6e3e001700cb4242c9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Sebastian Arcus"
+EMAIL="s.arcus@open-t.co.uk"
diff --git a/gis/navit/slack-desc b/gis/navit/slack-desc
new file mode 100644
index 0000000000..36d30f1348
--- /dev/null
+++ b/gis/navit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+navit: Navit (gps navigation system with routing engine)
+navit:
+navit: (From Wikipedia) Navit is an open source and free, modular, touch
+navit: screen friendly, car navigation system with GPS tracking, realtime
+navit: routing engine and support for various vector map formats.
+navit:
+navit: Navit runs on Linux, Windows, Windows CE, Mac OS, Android, iPhone and
+navit: webOS. It can use maps from OpenStreetMap and Garmin, among others -
+navit: which can be stored offline - so it doesn't need an Internet connection
+navit: while in use. Project page: www.navit-project.org
+navit: